# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/ktietz/src/aggregate/lightgbm-feedstock/recipe, last modified Wed Jun  9 17:47:31 2021
# ------------------------------------------------

package:
  name: lightgbm
  version: 3.1.1
source:
  fn: lightgbm-3.1.1.tar.gz
  sha256: babece2e3613e97748a67ed45387bb0e984bdb1f4126e39f010fbfe7503c7b20
  url: https://pypi.io/packages/source/l/lightgbm/lightgbm-3.1.1.tar.gz
build:
  number: '0'
  script: /home/ktietz/src/ci_nxt/lightgbm_1623260865556/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vv
  string: py39h22f4aa5_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.36.1 h0d3074b_3
    - binutils_linux-aarch64 2.36.1 h1234567_41
    - gcc_impl_linux-aarch64 10.2.0 h1234567_51
    - gcc_linux-aarch64 10.2.0 h1234567_41
    - gxx_impl_linux-aarch64 10.2.0 h1234567_51
    - gxx_linux-aarch64 10.2.0 h1234567_41
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_51
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libstdcxx-devel_linux-aarch64 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2021.4.13 hd43f75c_1
    - certifi 2021.5.30 py39hd43f75c_0
    - cmake 3.19.6 h1ac774c_0
    - expat 2.3.0 h7c1a80f_2
    - krb5 1.19.1 h4b604a8_0
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libcurl 7.71.1 h48584d0_1
    - libedit 3.1.20210216 hfd63f10_1
    - libffi 3.3 h7c1a80f_2
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libssh2 1.9.0 hcd09bdd_1
    - libstdcxx-ng 10.2.0 h1234567_51
    - libuv 1.40.0 hfd63f10_0
    - lz4-c 1.9.3 h7c1a80f_0
    - ncurses 6.2 hfd63f10_0
    - openssl 1.1.1k hfd63f10_1
    - pip 21.0.1 py39hd43f75c_0
    - python 3.9.5 hc137634_3
    - readline 8.1 hfd63f10_0
    - rhash 1.4.1 hcd09bdd_1
    - setuptools 52.0.0 py39hd43f75c_0
    - sqlite 3.35.4 h017fe0a_1
    - tk 8.6.10 h8ea0f78_0
    - tzdata 2020f h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 hfd63f10_1
    - zlib 1.2.11 hfd63f10_5
    - zstd 1.4.9 h20642d3_2
  run:
    - libgcc-ng >=10.2.0
    - libstdcxx-ng >=10.2.0
    - numpy
    - python >=3.9,<3.10.0a0
    - scikit-learn
    - scipy
test:
  imports:
    - lightgbm
about:
  description: 'A fast, distributed, high performance gradient boosting (GBDT, GBRT,
    GBM or MART) framework based on decision tree algorithms, used for ranking, classification
    and many other machine learning tasks.

    '
  dev_url: https://github.com/Microsoft/LightGBM
  doc_url: http://lightgbm.readthedocs.io/en/latest/
  home: https://github.com/Microsoft/LightGBM
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: LightGBM is a gradient boosting framework that uses tree based learning
    algorithms.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - aldanor
    - synapticarbors
